Name:           libhbaapi
Version:        2.2.6
%define base_release .5
Release:        2%{?dist}%{?base_release}
# Base: exclude cross arches for this package
ExcludeArch: mips64 ppca2 ppc476 ppcnf
Summary:        SNIA HBAAPI library
Group:          System Environment/Libraries
License:        SNIA
URL:            http://open-fcoe.org/
# This source was cloned from upstream git (libHBAAPI)
Source:         %{name}-%{version}.tar.bz2
Source999:fivextra.tar.bz2
Patch0:         libhbaapi-2.2-9-dl-linking.patch
Patch1:         libhbaapi-2.2-archiver.patch
Patch109499:	mcpbug109499-Makefile.patch
BuildRequires:  automake libtool

%description
The SNIA HBA API library. C-level project to manage
Fibre Channel Host Bus Adapters.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
#Requires:       ixgbe-kmod 

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package fivextra
Summary: FIV Tests for %{name}
Group: fivextra
Prefix: /opt/fiv/ltp

%description fivextra
This package contains the testcases built from the package for %{name}

%prep
%setup -a 999
%patch0 -p1 -b .ld-linking
%patch1 -p1 -b .archiver
%patch109499 -p1

%build
./bootstrap.sh
%configure --disable-static
make %{?_smp_mflags}
make hbaapitest

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

install -d $RPM_BUILD_ROOT/%{fivdir}/%{name}/Tests
install -m 755 `find hbaapitest -type d -prune -o -print`  $RPM_BUILD_ROOT/%{fivdir}/%{name}/Tests/

# Steps to package the libhbaapi tests for FIV
for dir in `cd fivextra; find . -type d -not -name CVS`
do
   install -d $RPM_BUILD_ROOT/%{fivdir}/%{name}/$dir
   install -m 755 `find fivextra/$dir/* -type d -prune -o -print` $RPM_BUILD_ROOT/%{fivdir}/%{name}/$dir
done

install -d $RPM_BUILD_ROOT/%{prefix}/testcases/bin
pushd $RPM_BUILD_ROOT/%{fivdir}/%{name}
make install
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc COPYING
%config(noreplace) %{_sysconfdir}/hba.conf
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files fivextra
%{prefix}

%changelog
* Mon May 13 2013 baseuser@ibm.com
- Base-8.x spec file
